"
 COPYRIGHT (c) 1998 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


"{ Package: 'stx:libbasic3' }"

MethodChange subclass:#MethodRemoveChange
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Changes'
!

!MethodRemoveChange class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1998 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

!

documentation
"
    instances represent a method-has-been-removed change. 
    They are typically held in a ChangeSet.

    [author:]
        Claus Gittinger
"
! !

!MethodRemoveChange class methodsFor:'instance creation'!

class:cls selector:selector 
    ^ self basicNew class:cls selector:selector

    "Created: / 17.4.1998 / 17:10:51 / cg"
! !

!MethodRemoveChange methodsFor:'accessing'!

class:cls selector:sel
    className := cls name.
    selector := sel

    "Modified: / 27.8.1995 / 22:56:03 / claus"
    "Created: / 16.2.1998 / 12:47:39 / cg"
!

className:clsName selector:sel
    className := clsName.
    selector := sel

    "Modified: / 27.8.1995 / 22:56:03 / claus"
    "Created: / 16.2.1998 / 12:51:57 / cg"
!

package
    ^ nil
!

type:typeSymbol
    typeSymbol ~~ #remove ifTrue:[self halt]
! !

!MethodRemoveChange methodsFor:'printing'!

printOn:aStream
    aStream     
        nextPutAll:className; 
        nextPutAll:' removeSelector:'; 
        nextPutAll:selector storeString

    "Created: / 16.2.1998 / 12:50:42 / cg"
! !

!MethodRemoveChange methodsFor:'queries'!

isMethodRemoveChange
    ^ true
! !

!MethodRemoveChange class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/MethodRemoveChange.st,v 1.7 2003-03-25 13:39:45 james Exp $'
! !
